class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def __str__(self):
	#Computes the "informal" string representations of a Point.
		return '({0}, {1})'.format(self.x, self.y)

	def __add__(self, other):
	#Adds two points and return the result.
		if isinstance(other, Point):
			return Point(self.x + other.x, self.y + other.y)
		return Point(self.x + other, self.y + other)


p = Point(1,2)
q = Point(3,4)
r = 2 + p
print(r) #TypeError: unsupported operand type(s) for +: 'int' and 'Point'