class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def __str__(self):
	#Computes the "informal" string representations of a Point.
		return '({0}, {1})'.format(self.x, self.y)

	def __add__(self, other):
	#Adds two points and return the result.
		if isinstance(other, Point):
			return Point(self.x + other.x, self.y + other.y)
		return Point(self.x + other, self.y + other)

	def __radd__(self, other):
		return Point(self.x + other, self.y + other)

	def __iadd__(self, other):  #make changes in place
		self.x += other.x
		self.y += other.y
		return self

p = Point(1,2)
q = Point(3,4)
r = p
p += q
print(r, p, r is p) #(4, 6) (4, 6) True